# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# Origin b'https://github.intel.com/SAT/openssl-recipe.git', commit b'f5f5650c5e9c32892b8740e4accc11387773d158'
# ------------------------------------------------

package:
    name: openssl
    version: 1.1.1g
source:
    fn: openssl-1.1.1g.tar.gz
    patches:
        - intel_parallelism.patch
    sha256: ddb04774f1e32f0c49751e21b67216ac87852ceb056b75209af2443400636d46
    url: http://www.openssl.org/source/openssl-1.1.1g.tar.gz
build:
    detect_binary_files_with_prefix: true
    features:
        - vc14
    number: '1'
    run_exports:
        - openssl >=1.1.1g,<1.1.2a
    string: vc14he774522_1
requirements:
    build:
        - intelpython 2020.2 0
        - nasm 2.13.03 h62dcd97_1
        - vc 14.1 h21ff451_12
        - vs2015_runtime 14.16.27012 hf0eaf9b_12
        - vs2017_win-64 19.16.27032.1 hb4161e2_12
        - vswhere 2.7.1 h21ff451_0
    host:
        - intelpython 2020.2 0
        - perl 5.26.0.1 hbb76ec5_0
        - vc 14.1 h21ff451_12
        - vs2015_runtime 14.16.27012 hf0eaf9b_12
    run:
        - vc 14.1.*
        - vc >=14.1,<15.0a0
        - vs2015_runtime >=14.16.27012,<15.0a0
about:
    home: http://www.openssl.org/
    license: Apache-style (http://www.openssl.org/source/license.html)
    license_family: Apache
    license_file: LICENSE
    summary: OpenSSL is an open-source implementation of the SSL and TLS protocols
extra:
    copy_test_source_files: true
    final: true
